{{define "body"}}
	<h2>Create a new action</h2>

	{{ $root := . }}

	{{ if ne .Message "" }}
		<p>Got {{ .Message }}</p>
	{{ end }}

	{{ if eq .ChosenCapability "" }}
		<ul>
			{{ range $_, $value := $root.CapabilityList }}
				<li><a href="/create/action?capability={{ $value }}">{{ $value }}</a></li>
			{{ end }}
		</ul>

		<p><a href="/">Back</a></p>
	{{ else }}
		<form action = "/create/action" method = "post">
			Input the rule
			<br />

			<textarea rows = "32" cols = "70" name = "action">{
   "name": "",
   "description": "",
   "action": [
      {
         "type": "{{ .ChosenCapability }}",
         "action": [
            {
               "name": "",
               "identifier": "",
               "field": {
                  "": ""
               },
               "delay": 0,
               "delayUnit": ""
            }
         ]
      }
   ]
}</textarea><br />

			<input type = "submit" value = "submit" /><br />
		</form>

		Available devices:
		<ul>
			{{ range $device := index $.DeviceList .ChosenCapability }}
				<li>{{ $device }}</li>
			{{ end }}
		</ul>
		<p>Possible action identifiers for {{ .ChosenCapability }}</p>

		<ul>
			{{ range $_, $value := .ActionIdentifier }}
				<li>
					{{ $value.Name }} ({{ $value.Description }})
					{{if $value.ParameterList}}:
					<table>
						<tr>
							<th>Name</th>
							<th>Type</th>
							<th>Description</th>
						</tr>
						{{ range $_, $parameter := $value.ParameterList }}
							<tr>
								<td>{{ $parameter.Name }}</td>
								<td>{{ $parameter.Type }}</td>
								<td>{{ $parameter.Description }}</td>
							</tr>
						{{ end }}
					</table>{{end}}
				</li>
			{{ end }}
		</ul>
		<p><a href="/create/action">Back</a></p>
	{{ end }}

{{end}}